function deg = degree(tree)
% computes the degree of a tree, given as the parent relationship

n = size(tree,2);
deg = zeros(n, 1);

for i = 1:n
    if tree(i) > 0
        deg(i) = deg(i) + 1;              % outbound edge
        deg(tree(i)) = deg(tree(i)) + 1;  % inbound edge
    end
end

end