function [D time next] = parseData(line, raw, n)
  i = line;
  D = zeros(n,7);                 %%% D will hold data
  
  %dirty trick to count the number of filled rows
  filled = zeros(n,1);
  
  while (sum(filled) < n) && (i < size(raw,1))
      sensor = raw(i,3)+1;        %%% determine sensor number
      D(sensor,:) = raw(i,5:11);  %%% copy data
      filled(sensor) = 1;
      i=i+1;
  end
  time = raw(i-1,1);              %%% copy timestamp
  next = i;
end