function P = prim(G, root)
%Prims Algorithm
% finds the minimum spanning tree of a graph.
% G: weight matrix (n x n, symmetric)
% P: parent relationship (1 x n, 0 for the root)
%
%coded by Vikramaditya V. Kundur

% test data
%G= [0 2 3 4 0; 2 0 1 2 5; 3 1 0 1 2; 4 2 1 0 2; 0 5 2 2 0]

l=size(G,1);
a=G';

for i=1:l
    for j=1:l
         if a(i,j)==0
               a(i,j)=inf;
         end
    end
end

listV(1:l)=0;
listV(root)=1;
e=1;

while (e<l)
    min=inf;
     for i=1:l
        if listV(i)==1
            for j=1:l
                if listV(j)==0
                   if min>a(i,j)
                        min=a(i,j);
                        b=a(i,j);
                        s=i;
                        d=j;
                    end
                end
            end
        end
    end
    listV(d)=1;
    distance(e)=b;
    source(e)=s;
    destination(e)=d;
    e=e+1;
end

% make parent function
P = zeros(1,l);
for g=1:e-1
    P(destination(g)) = source(g);
end

end